C Copyright 1981-2016 ECMWF.
C
C This software is licensed under the terms of the Apache Licence
C Version 2.0 which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
C
C In applying this licence, ECMWF does not waive the privileges and immunities
C granted to it by virtue of its status as an intergovernmental organisation
C nor does it submit to any jurisdiction.
C
      INTEGER FUNCTION ESTIMA_REG(INC,P1,P2)
C
C     Calculate number of increments along a particular direction given
C     an increment, start and ending positions (suitable for regular
C     grids).

      IMPLICIT NONE
      REAL INC, P1, P2
      ESTIMA_REG = NINT(ABS(P2-P1)/INC) + 1 + 1

C         ESTIMA = (ABS(NOAREA(4)-NOAREA(2))/NOGRID(1) + 1)
C    X           * (ABS(NOAREA(3)-NOAREA(1))/NOGRID(2) + 1)

      END
